DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# MemoryNew

Allocate and track memory

## SYNOPSIS

dip_Error dip_MemoryNew( pointer, size, resources )

## FUNCTION

Allocates a chunk of memory, and adds a reference to the chunk to the list of tracked resources.

## ARGUMENTS

Data type | Name | Description
`void **` | `pointer` | pointer to the memory chunk pointer
`size_t` | `size` | size of the memory chunk in bytes
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`MemoryReallocate`, `MemoryFree`, `MemoryFunctionsSet`